{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function security_check, set_printer, get_printer, msg, fieldcount, ex_vm_rem, Printer_Select\r\ndeclare subroutine security_err_msg\r\n\r\n$insert security_rights_equ\r\n$insert oiprint_equates\r\n$insert msg_equates\r\n\r\n\r\n\r\nPrintPath = Printer_Select('',1)\t;* Get default printer\r\n\r\nStat = set_printer( 'INIT', '', '', 1.25:@fm:'':@fm:1.0:@fm:'', 0,'',PrintPath )\r\ngosub CheckErr\r\n\r\nFont = \"Courier New,12,L,1\"\r\nconvert ',' to @fm in Font\r\nHf = Font\r\nStat = set_printer( 'FONT', Font )\r\ngosub CheckErr\r\n\r\nSendTo = .send_to_internal->array\r\n\r\n* internal\r\nVoid = set_printer( 'TEXT', 'TO:' )\r\nTable = ''\r\nSendTo<1> = ex_vm_rem( SendTo<1> )\r\nRcnt = fieldcount( SendTo<1>, @vm )\r\nfor i = 1 to Rcnt\r\n\tTvar = SendTo<2,i>:@vm:SendTo<2,i+1>:@vm:SendTo<2,i+2>\r\n\tTable<-1> = Tvar\r\n\ti=i+2; *skip column 2 & 3 that just got appended\r\nnext i\r\nVoid = Set_Printer( 'ADDTABLE', '2880':@vm:'2880':@vm:'2880', '', Table, '','','', TB_ALL )\r\nVoid = set_printer( 'TEXT', '' )\r\nVoid = set_printer( 'TEXT', 'From: ':.from_internal->text:'   ':.from_internal_name->text )\r\nVoid = set_printer( 'TEXT', '' )\r\nVoid = set_printer( 'TEXT', 'Date: ':.entry_date->text )\r\nVoid = set_printer( 'TEXT', '' )\r\nVoid = set_printer( 'TEXT', 'Subject: ':.subject->text )   \r\nVoid = set_printer( 'TEXT', '' )\r\nVoid = set_printer( 'TEXT', '                         M  E  S  S  A  G  E' )\r\nVoid = set_printer( 'TEXT', '' )   \r\nMessageText = .message_internal->text\r\nTableColInfo = '9360'\r\nx = set_printer(\"ADDTABLE\", TableColInfo, '', MessageText, '', '', 1, TB_NONE)\r\n\r\nstat = set_printer( 'TERM' )       \r\ngosub CheckErr   \r\nRETURN 0\r\n*===========================================================================*\r\nCheckErr:\r\n    if stat < 0 then\r\n        goto FatalExit\r\n    end\r\nreturn \r\n\r\n*===========================================================================*\r\nFatalExit:\r\n    Void = msg( '', Stat )\r\n    Stat = set_printer( 'TERM' )\r\nreturn \r\n\r\n*===========================================================================*\r\n"
        }
    }
}